## logcat-colorize-0.8.2.tar.gz

=== Makefile ===
#
# File:      Makefile
#
# Purpose:   Ease compiling pain!
#
# Author:    BRAGA, Bruno <bruno.braga@gmail.com>
#
# Copyright:
#            Licensed under the Apache License, Version 2.0 (the "License");
#            you may not use this file except in compliance with the License.
#            You may obtain a copy of the License at
#
#            http://www.apache.org/licenses/LICENSE-2.0
#
#            Unless required by applicable law or agreed to in writing, software
#            distributed under the License is distributed on an "AS IS" BASIS,
#            WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
#            implied. See the License for the specific language governing
#            permissions and limitations under the License.
#
# Notes:     
#            Bugs, issues and requests are welcome at:
#            https://bitbucket.org/brunobraga/logcat-colorize/issues
#

#CC=g++
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
   CCFLAGS += -lboost_regex -lboost_program_options -std=c++0x
else ifeq ($(UNAME_S),Darwin)
   CCFLAGS += -L/opt/local/lib -lboost_regex-mt -lboost_program_options-mt -std=c++0x -I/opt/local/include -Wno-deprecated-register
endif
EXEC=logcat-colorize
DEPS=logcat-colorize.cpp

ifndef PREFIX
	PREFIX=usr
endif

INSTALLDIR=$(DESTDIR)/$(PREFIX)/bin

$(EXEC): $(DEPS)
	$(CXX) $(DEPS) -o $(EXEC) $(CCFLAGS)

$(INSTALLDIR):
	mkdir -pv $(INSTALLDIR)

clean:
	rm -f $(EXEC)

install: $(EXEC) $(INSTALLDIR)
	install -m 0755 $(EXEC) $(INSTALLDIR)

uninstall:
	rm -f $(INSTALLDIR)/$(EXEC)

.PHONY: install clean

=== macports/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
PortSystem          1.0
name                logcat-colorize
version             0.8.1
license             Apache-2
categories          devel
platforms           darwin
maintainers         @carlonluca \
                    gmail.com:carlon.luca
description         Parser of the Android Debug Bridge logcat output
long_description    logcat-colorize is a parser for the output of the \
                    Android Debug Bridge logcat output. It accepts the \
                    logcat output from stdin and produces a formatted \
                    output, optimised for reading in a console.
homepage            https://github.com/carlonluca/logcat-colorize
master_sites        https://github.com/carlonluca/logcat-colorize/releases/download/v0.8.1/
checksums           rmd160  a7f465551403929f73c5b76649a73e043e33105a \
                    sha256  4f9c8a71b5f90b6448e6f57e7f2349b37513ed8e42878a640403e966b62a4048 \
                    size    14518
depends_lib         port:boost
use_configure       no
build.target
destroot.args       PREFIX=${prefix}
